## yorick 2.2.02%2Bdfsg

=== Makefile ===
# $Id: Makefile,v 1.4 2010-02-28 21:32:23 dhmunro Exp $
# see README for usage

SHELL=/bin/sh

ALLDIRS=play gist yorick regexp matrix fft doc
CONFIGDIRS=play yorick

all: yorexe gistexe docs

yorexe: libyor
	@cd yorick; $(MAKE)

gistexe: libgist
	@cd gist; $(MAKE) gist

docs: yorexe
	@cd doc; $(MAKE) docs

# libraries are built in a fixed order:
# libplay, then libgist, then libyor
#   - the libraries are accumulated, that is,
#     libyor.a contains libgist.a contains libplay.a

libyor: libgist
	@cd regexp; $(MAKE) libyor
	@cd matrix; $(MAKE) libyor
	@cd fft; $(MAKE) libyor
	@cd yorick; $(MAKE) libyor.a

libgist: libplay
	@cd gist; $(MAKE) libgist.a

libplay: Make.cfg
	@cd play; $(MAKE) libplay

LD_STATIC=
Make.cfg:
	LD_STATIC=$(LD_STATIC) ./configure

config: distclean
	@$(MAKE) "LD_STATIC=$(LD_STATIC)" Make.cfg

prefix=.
Y_PLATFORM=.
Y_SITE=.
Y_HOME=.
ysite:
	if S="s?^prefix=.*?prefix=\"$(prefix)\"?;\
	s?^Y_PLATFORM=.*?Y_PLATFORM=\"$(Y_PLATFORM)\"?;\
	s?^Y_SITE=.*?Y_SITE=\"$(Y_SITE)\"?;\
	s?^Y_HOME=.*?Y_HOME=\"$(Y_HOME)\"?";\
	sed -e "$$S" ysite.sh >ysite.sh1; then mv ysite.sh1 ysite.sh; fi
	@if test -r ysite.grp; then chmod g+w ysite.sh; fi

reloc:
	$(MAKE) Y_HOME=relocate ysite

clean::
	@rm -f Make.del yorapi.def
	@if test ! -r Make.cfg; then touch Make.cfg Make.del; fi
	@for d in $(ALLDIRS); do ( cd $$d; $(MAKE) TGT=exe clean; ); done
	@if test -r Make.del; then rm -f Make.cfg Make.del; fi
	rm -f *~ '#'* *.o cfg* ysite.sh? core* *.core a.out
	rm -f i/*~ i0/*~ i-start/*~ g/*~ extend/*~
	rm -rf relocate

distclean::
	@touch Make.cfg
	@for d in $(ALLDIRS); do ( cd $$d; $(MAKE) TGT=exe distclean; ); done
	rm -f *~ '#'* *.o cfg* Make.* ysite.sh? core* *.core a.out
	rm -f i/*~ i0/*~ i-start/*~ g/*~ extend/*~
	rm -rf relocate

siteclean: distclean
	@rm -f ysite.grp
	@$(MAKE) prefix=. Y_PLATFORM=. Y_SITE=. Y_HOME=relocate ysite


check:
	@cd yorick; $(MAKE) check

INSTALL_ROOT=
Y_BINDIR=
Y_DOCDIR=
install: yorexe gistexe docs
	./instally.sh +both "$(INSTALL_ROOT)" "$(Y_BINDIR)" "$(Y_DOCDIR)"

install1: yorexe gistexe
	./instally.sh +home "$(INSTALL_ROOT)" "$(Y_BINDIR)" "$(Y_DOCDIR)"

uninstall:
	./instally.sh -both "$(INSTALL_ROOT)" "$(Y_BINDIR)" "$(Y_DOCDIR)"

uninstall1:
	./instally.sh -home "$(INSTALL_ROOT)" "$(Y_BINDIR)" "$(Y_DOCDIR)"

dist: siteclean
	W=`pwd`;N=`basename "$$W"`;R=`tail -n 1 VERSION`;cd ..;\
	tar cvf - $$N|gzip - >$$N.$$R.tgz;

# Usage: make YGROUP=altgrp sharable
# default group is "yorick", affects instally.sh
YGROUP=yorick
sharable:
	@rm -f ysite.grp
	echo "$(YGROUP)" >ysite.grp
	chgrp -R $(YGROUP) .
	chmod -R g+w .
	find . -type d | xargs chmod g+s

relocatable: siteclean
	@rm -rf relocate
	$(MAKE) Y_HOME=relocate ysite
	$(MAKE) install
	cp install.rel relocate/README
	cp emacs/yorick.el relocate
	mkdir relocate/contrib
	W=`pwd`;N=`basename "$$W"`;R=`tail -n 1 VERSION`;\
	mv relocate $$N-$$R;tar cvf - $$N-$$R|gzip - >$$N-$$R.tgz;\
	rm -rf $$N-$$R

dumpconfig:
	@cd yorick; $(MAKE) dumpconfig

# targets for ./configure
echocc:
	echo "$(CC)" >cfg.tmp
echorl:
	echo "$(RANLIB)" >cfg.tmp
echoar:
	echo "$(AR)" >cfg.tmp
echoml:
	echo "$(MATHLIB)" >cfg.tmp
pkgconfig:
	@for d in $(CONFIGDIRS); do ( cd $$d; $(MAKE) config; ); done

=== yorick/Makefile ===
# $Id: Makefile,v 1.6 2010-08-13 09:46:16 thiebaut Exp $
# similar to any yorick package Makefile

# ------------------------------------------------ macros for yor base package
COPT=$(COPT_DEFAULT)
Y_MAKEDIR=..
Y_EXE=./yorick$(EXE_SFX)
PKG_NAME=yor
PKG_EXENAME=yorick
PKG_I=std.i matrix.i fft.i graph.i
PKG_I_DEPS=../i0/std.i ../i0/matrix.i ../i0/fft.i ../i0/graph.i
PKG_I_DIR=-I../i0

OBJS = opsv.o task.o yorick.o yinput.o parse.o ydata.o yapi.o yio.o fnctn.o \
  array.o range.o ops.o ops0.o ops1.o ops2.o ops3.o nonc.o debug.o \
  std0.o std1.o std2.o ascio.o defmem.o yhash.o  yrdwr.o bcast.o binio.o \
  binobj.o binstd.o cache.o convrt.o binpdb.o clog.o ystr.o graph.o fwrap.o \
  graph0.o style.o list.o pathfun.o autold.o funcdef.o spawn.o fortrn.o oxy.o \
  mdigest.o

PKG_CLEAN=libyor main.* prmtyp.h codger$(EXE_SFX) lib$(PKG_NAME).a $(PKG_EXENAME) yorapi*

PLAPI=../play/plugin.h
PLAYONLY=../play/play.h $(PLAPI)

DIST_LIBS=-L../drat -ldrat -L../hex -lhex
DIST_DIRS=../drat ../hex
# Make.cfg sets IF_TGT according to DEFAULT_TGT
IF_EXE=drat hex
IF_DLL=

# ------------------------------------ standard targets and rules (in Makepkg)

# set macros Makepkg uses in target and dependency names
H_YWRAP=$(PLAYONLY) ydata.h yapi.h binio.h hash.h
CODGER_DEP=codger$(EXE_SFX)
EXE_TARGETS=main.o $(YWIN_LIB) prepkg
LIB_TARGETS=libyor
ALL_TARGETS=postpkg
TGT=exe

include $(Y_MAKEDIR)/Make.cfg
include $(Y_MAKEDIR)/Makepkg
include $(Y_MAKEDIR)/Make$(TGT)

# override macros set by Makepkg used in rules (because yorick not installed)
Y_MAIN_O=main.o
Y_IDIR=-I. -I../play -I../gist
Y_LIBEXE=.
Y_LDIR=-L../drat -L../hex
PKG_L_OPT=-L.
ARFLAGS=r
EXTRA_LIBS=$(ALT_LIBS)
EXTRA_PKGS=$(IF_TGT)

# hack combines gist, matrix, and fft libs into a single libyor.a
# (this does not get inter-directory dependencies absolutely correct)
BUILTIN_PKGS=../gist/libgist.a ../regexp/libyor ../matrix/libyor ../fft/libyor
libyor: $(BUILTIN_PKGS)
	@rm -f $(PKG_LIB)
	cp ../gist/libgist.a $(PKG_LIB)
	cd ../regexp; $(MAKE) "COPT=$(COPT)" oinsert
	cd ../matrix; $(MAKE) "COPT=$(COPT)" oinsert
	cd ../fft; $(MAKE) "COPT=$(COPT)" oinsert
	touch $@
../gist/libgist.a:
	@cd ../gist; $(MAKE) "COPT=$(COPT)" libgist.a
../regexp/libyor:
	@cd ../regexp; $(MAKE) "COPT=$(COPT)" libyor
../matrix/libyor:
	@cd ../matrix; $(MAKE) "COPT=$(COPT)" libyor
../fft/libyor:
	@cd ../fft; $(MAKE) "COPT=$(COPT)" libyor

# MSWindows and AIX need yorapi.def for plugins to work (see ../yorapi.sh)
yorapi.def:
	cd ..; ./yorapi.sh; mv yorapi.def yorick/

# if drat and hex are to be statically linked,
# their static libraries must be built before yorick
M_V1="TGT=exe" pre$(DISTRIB_TGT)
prepkg:
	@for d in $(DIST_DIRS); do ( cd $$d; $(MAKE) "COPT=$(COPT)" $(M_V1); ); done

# if drat and hex are to be dynamically linked,
# their dynamic libraries must be built after yorick
M_V2="TGT=dll" post$(DISTRIB_TGT)
postpkg: $(PKG_EXE)
	@for d in $(DIST_DIRS); do ( cd $$d; $(MAKE) "COPT=$(COPT)" $(M_V2); ); done

# two colons means these rules appended to Makepkg rule
clean::
	@for d in $(DIST_DIRS); do ( cd $$d; $(MAKE) TGT=exe clean; ); done
distclean::
	@for d in $(DIST_DIRS); do ( cd $$d; $(MAKE) TGT=exe distclean; ); done

# ------------------------------------- targets and rules for yor base package
# ydata.h: yapi.h binio.h hash.h
# binio.h: hash.h
# yio.h: hash.h pstdio.h
# defmem.h: pstdlib.h
# bcast.h: ydata.h   binio.h hash.h
HSHAPI=hash.h ../play/plugin.h
HSH=hash.h
YDATA_H=ydata.h yapi.h binio.h $(HSHAPI)
YDATA_HP=ydata.h yapi.h binio.h $(HSH)
HGIST=../gist/gist.h ../gist/hlevel.h
PSLIB=../play/pstdlib.h $(PLAPI)
PSLIO=../play/pstdlib.h ../play/pstdio.h $(PLAPI)
PSPLAY=../play/pstdlib.h ../play/play.h $(PLAPI)
PLAYALL=../play/play.h ../play/pstdlib.h ../play/pstdio.h $(PLAPI)

array.o: $(YDATA_H)
ascio.o: $(YDATA_HP) yio.h defmem.h $(PLAYALL)
autold.o: $(YDATA_HP) yio.h defmem.h $(PSLIO)
bcast.o: bcast.h   $(YDATA_H)
binio.o: $(YDATA_HP) yio.h defmem.h $(PSLIO)
binobj.o: bcast.h defmem.h $(PSLIB)   $(YDATA_HP)
binpdb.o: $(YDATA_HP) yio.h $(PSLIO)
binstd.o: binio.h $(PSLIB)   $(HSH)
cache.o: binio.h $(PSLIO)   $(HSH)
clog.o: $(YDATA_HP) yio.h $(PSLIO)
convrt.o: binio.h $(PSLIB)   $(HSH)
debug.o: $(YDATA_HP) yio.h $(PLAYALL)
defmem.o: defmem.h   $(PSLIB)
fnctn.o: $(YDATA_H)
fortrn.o: fortrn.c yasync.h $(PSLIB)
	$(CC) $(CPPFLAGS) $(CFLAGS) $(FORTRAN_LINKAGE) -o $@ -c fortrn.c
graph.o: graph.c $(YDATA_HP) yio.h   $(PLAYALL) $(HGIST)
graph0.o: $(YDATA_H)
yhash.o: $(HSH) defmem.h $(PSLIB)
list.o: $(YDATA_H) defmem.h
mdigest.o: mdigest.h
nonc.o: nonc.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(NO_HYPOT) -o $@ -c nonc.c
ops.o: bcast.h $(PSLIB)   ydata.h binio.h $(HSH)
ops0.o: $(YDATA_H)
ops1.o: $(YDATA_H)
ops2.o: $(YDATA_HP)   $(PSLIB)
ops3.o: bcast.h $(PSLIB)   $(YDATA_HP)
opsv.o: $(YDATA_HP) $(PSLIB) prmtyp.h
oxy.o: $(YDATA_HP) $(PSLIB) ../play/phash.h
parse.o: parse.h $(YDATA_HP) $(PSLIB)
pathfun.o: yio.h $(PSLIO)   $(HSH)
range.o: $(YDATA_HP) $(PSLIB)
std0.o: std0.c bcast.h yio.h defmem.h $(PLAYALL)   ydata.h binio.h $(HSH)
	$(CC) $(CPPFLAGS) $(CFLAGS) $(D_Y_VERSION) -o $@ -c std0.c
std1.o: $(YDATA_HP) $(PSPLAY)
std2.o: mdigest.h $(YDATA_HP) yio.h $(PLAYALL)
style.o: style.c $(YDATA_HP) $(PSLIB) $(HGIST) ../gist/draw.h
task.o: $(YDATA_HP) yio.h $(PLAYALL)
yapi.o: $(YDATA_HP) yio.h bcast.h $(PSLIB)
ydata.o: bcast.h defmem.h $(PSLIB)   $(YDATA_HP)
yinput.o: yio.h parse.h $(HSH) $(PLAYALL)
yio.o: yio.h defmem.h $(YDATA_HP) $(PLAYALL)
yorick.o: yorick.c parse.h $(PSPLAY)
	$(CC) $(CPPFLAGS) $(CFLAGS) $(D_NO_STRTOUL) -o $@ -c yorick.c
yrdwr.o: bcast.h $(PSLIB)   $(YDATA_HP)
YREH=../regexp/yfnmatch.h ../regexp/yregexp.h
ystr.o: ystr.c $(YREH) $(PSLIB) $(YDATA_HP)
	$(CC) $(CPPFLAGS) $(CFLAGS) -I../regexp -o $@ -c ystr.c

# codger code generator computes ywrap.c and yinit.c source files
CDG_FLAGS=$(CFLAGS)
codger$(EXE_SFX): codger.c
	$(CC) $(CPPFLAGS) $(CDG_FLAGS) $(FORTRAN_LINKAGE) -o codger$(EXE_SFX) codger.c

# numfmt computes binary number formats, results in prmtyp.h
prmtyp.h: ../play/any/numfmt ../play/any/numfmt.c
	../play/any/numfmt prmtyp.h
../play/any/numfmt:
	@cd ../play; $(MAKE) numfmt

# always compile main.c with -g so new packages can be debugged
main.o: main.c $(PLAYONLY)
	$(CC) $(CPPFLAGS) -g -I../play -o $@ -c main.c
main.c: ../play/$(Y_MAIN_C)
	cp ../play/$(Y_MAIN_C) main.c

config:
	./yconfig.sh

## yorick 2.2.02+dfsg

=== doc/Makefile ===
# $Id: Makefile,v 1.8 2010-07-19 08:08:33 thiebaut Exp $
# you need the makeinfo and texi2dvi programs from gnu.org
# and the tex typesetting system from tug.org
# For the html-doc target, you need a recent texi2html that accepts
# "--split node". Mac users: The one in fink (1.64) is too old, get one from
# http://www.nongnu.org/texi2html/
include ../Make.cfg
MAKEINFO = makeinfo
TEXI2DVI = texi2dvi
#TEXI2PDF = texi2pdf
TEXI2PDF = texi2dvi --pdf
TEX = tex
PDFTEX = pdftex
YORICK = ../yorick/yorick$(EXE_SFX)

all: yorick.info docs

docs:
	$(YORICK) -batch maked.i

yorick.info: yorick.tex
	$(MAKEINFO) yorick.tex

yorick.dvi: yorick.tex
	$(TEXI2DVI) yorick.tex

yorick.pdf: yorick.tex
	$(TEXI2PDF) yorick.tex

refs.dvi: refs.tex
	$(TEX) refs.tex

refs.pdf: refs.tex
	$(PDFTEX) refs.tex

html-doc:
	cd html; make html-doc

TEX_AUX=*.aux *.log *.toc *.cp *.fn *.ky *.pg *.tp *.vr *.tmp
clean::
	rm -f *~ '#'* *.inf* *.dvi *.doc $(TEX_AUX)
	rm -Rf yorick/
	cd html; make clean

distclean:: clean

=== drat/Makefile ===
# $Id: Makefile,v 1.2 2007-03-25 15:36:32 dhmunro Exp $
# similar to any yorick package Makefile

COPT=$(COPT_DEFAULT)
TGT=$(DEFAULT_TGT)

# ------------------------------------------------ macros for this package
Y_MAKEDIR=..
Y_EXE=../yorick/yorick$(EXE_SFX)
PKG_NAME=drat
PKG_EXENAME=yorick
PKG_I=drat.i

OBJS=bound.o track.o trans.o drat.o ydrat.o

PKG_CLEAN=../i0/drat.i

# in ordinary yorick packages, these dependencies unnecessary
# they appear here because this package is part of baseline yorick
H_DEPS=../play/plugin.h
H_YDATA=../yorick/ydata.h ../yorick/binio.h ../yorick/hash.h
H_YWRAP=../play/play.h $(H_YDATA) $(H_DEPS)
H_YDRAT=../yorick/yio.h $(H_YDATA) ../play/pstdlib.h ../play/pstdio.h $(H_DEPS)

# ------------------------------------ standard targets and rules (in Makepkg)

# set macros Makepkg uses in target and dependency names
PKG_I_DEPS=$(PKG_I)

include $(Y_MAKEDIR)/Make.cfg
include $(Y_MAKEDIR)/Makepkg
include $(Y_MAKEDIR)/Make$(TGT)

# override macros set by Makepkg used in rules (because yorick not installed)
Y_IDIR=-I. -I../play -I../yorick
Y_LIBEXE=../yorick
Y_EXE=../yorick/yorick$(EXE_SFX)

# ------------------------------------- targets and rules for this package

bound.o: bound.h
track.o: track.h   bound.h
trans.o: trans.h   track.h bound.h
drat.o: drat.h   trans.h track.h bound.h
ydrat.o: drat.h   trans.h track.h bound.h  $(H_YDRAT)

../i0/drat.i: drat.i
	cp -f drat.i ../i0/drat.i

# if drat and hex are to be statically linked,
# their static libraries must be built before yorick
preexe: $(PKG_LIB) ../i0/drat.i
predll:
	@:

# if drat and hex are to be dynamically linked,
# their dynamic libraries must be built after yorick
postdll: $(PKG_DLL) ../i0/drat.i
postexe:
	@:

#-------------------------------------- end of Makefile

=== matrix/Makefile ===
# $Id: Makefile,v 1.1 2005-09-18 22:04:37 dhmunro Exp $
SHELL=/bin/sh
MAKE=make
include ../Make.cfg

CFLAGS=$(COPTIONS) -I. -I../play
COPTIONS=$(COPT) $(Y_CFLAGS)
COPT=$(COPT_DEFAULT)

CBLASY=cblasy.o

# to use external blas (e.g.- atlas), comment above, uncomment below
# also need to add -lblas (or whatever) to MATHLIB in ../Make.cfg
#CFLAGS=$(COPTIONS) -DUSE_CBLAS -DCBLAS_INDEX=int -I.
#CBLASY=

OBJS=dlamc3.o dgyor.o dgtsv.o dgesv.o dgecon.o dgels.o dgelss.o \
  dbdsqr.o dlasr.o dgesvd.o dgesv2.o $(CBLASY)

all: $(OBJS)

libyor: $(OBJS)
	touch $@

oinsert: $(OBJS) ../yorick/libyor.a
	$(AR) r ../yorick/libyor.a $(OBJS)

config:
	@:

clean::
	rm -f *~ '#'* *.o *.a core* *.core a.out libyor

distclean:: clean

# ------------- dependencies -------------

dlamc3.o: dlamc3.c
	$(CC) $(CPPFLAGS) -g -I. -I../play -c dlamc3.c

dbdsqr.o: dg.h cblasy.h ../play/plugin.h
dgecon.o: dg.h cblasy.h ../play/plugin.h
dgels.o: dg.h cblasy.h ../play/plugin.h
dgelss.o: dg.h cblasy.h ../play/plugin.h
dgesv.o: dg.h cblasy.h ../play/plugin.h
dgesv2.o: dg.h cblasy.h ../play/plugin.h
dgesvd.o: dg.h cblasy.h ../play/plugin.h
dgtsv.o: dg.h cblasy.h ../play/plugin.h
dgyor.o: dg.h cblasy.h ../play/plugin.h
dlasr.o: dg.h cblasy.h ../play/plugin.h

=== play/Makefile ===
# $Id: Makefile,v 1.1 2005-09-18 22:05:31 dhmunro Exp $
SHELL=/bin/sh
MAKE=make
include ../Make.cfg

SUBDIRS=hacks $(PLAY_DIRS) any
ALLDIRS=hacks win unix x11 any

all: libplay

# the library is actually built from subdirectories (in order)
libplay:
	@for d in $(SUBDIRS); do ( cd $$d; $(MAKE); ); done

config:
	@for d in $(PLAY_DIRS); do ( cd $$d; $(MAKE) TGT=$(TGT) config; ); done

numfmt: libplay
	cd any; $(MAKE) numfmt

test2d: libplay
	cd any; $(MAKE) test2d

clean:: cleantop
	@for dir in $(ALLDIRS); do ( cd $$dir; $(MAKE) clean; ); done

distclean:: distcleantop
	@for dir in $(ALLDIRS); do ( cd $$dir; $(MAKE) distclean; ); done

cleantop:
	rm -f *~ '#'* *.o *.a core* *.core a.out hack*.h playwin.h

distcleantop: cleantop

=== regexp/Makefile ===
# $Id: Makefile,v 1.1 2005-09-18 22:06:22 dhmunro Exp $
SHELL=/bin/sh
MAKE=make
include ../Make.cfg

CFLAGS=$(COPTIONS) -I../play -I../yorick
COPTIONS=$(COPT) $(Y_CFLAGS)
COPT=$(COPT_DEFAULT)

OBJS=yfnmatch.o yregexp.o

all: $(OBJS)

libyor: $(OBJS)
	touch $@

oinsert: $(OBJS) ../yorick/libyor.a
	$(AR) r ../yorick/libyor.a $(OBJS)

config:
	@:

clean::
	rm -f *~ '#'* *.o *.a core* *.core a.out libyor

distclean:: clean


yfnmatch.o: yfnmatch.h ../play/plugin.h
yregexp.o: yregexp.h ../play/pstdlib.h ../play/plugin.h

=== play/any/Makefile ===
# $Id: Makefile,v 1.2 2009-05-22 04:02:26 dhmunro Exp $
SHELL=/bin/sh
MAKE=make
include ../../Make.cfg

COPT=$(COPT_DEFAULT)
CFLAGS=$(COPT) $(Y_CFLAGS) -I. -I.. $(PLAY_INCS) $(HACK_FLAGS)
CCLOAD=$(CC) $(COPT) $(Y_LDFLAGS)

OBJS=hash.o hash0.o hashctx.o hashid.o mm.o mminit.o \
  alarms.o pmemcpy.o pstrcpy.o pstrncat.o p595.o \
  bitrev.o bitlrot.o bitmrot.o pstdio.o

all: libplay

libplay: $(OBJS)
	$(AR) rc ../libplay.a $(OBJS)
	$(RANLIB) ../libplay.a
	touch $@

EXE_FILES=numfmt test2d hashtest
clean::
	rm -f *~ '#'* *.o *.a main.c core* *.core a.out $(EXE_FILES) libplay

distclean:: clean
	rm -f .gdb*



numfmt: numfmt.c
	$(CC) -g -o $@ numfmt.c

test2d: main.o test2d.o ../libplay.a
	$(CCLOAD) -o $@ main.o test2d.o -L.. -lplay $(X11LIB)

test: test2d

hashtest: hashtest.o ../libplay.a
	$(CCLOAD) -o $@ hashtest.o -L.. -lplay

PLUGEXT=../plugin.h

hash.o: $(PLAY_CFG)/config.h ../phash.h ../pstdlib.h $(PLUGEXT)
hash0.o: $(PLAY_CFG)/config.h ../phash.h $(PLUGEXT)
hashctx.o: $(PLAY_CFG)/config.h ../phash.h $(PLUGEXT)
hashid.o: $(PLAY_CFG)/config.h ../phash.h ../pstdlib.h $(PLUGEXT)

mm.o: $(PLAY_CFG)/config.h ../pstdlib.h $(PLUGEXT)
mminit.o: $(PLAY_CFG)/config.h ../pstdlib.h $(PLUGEXT)
pfrall.o: $(PLAY_CFG)/config.h ../pstdlib.h $(PLUGEXT)

alarms.o: $(PLAY_CFG)/config.h ../play.h ../pstdlib.h $(PLUGEXT)

pmemcpy.o: $(PLAY_CFG)/config.h ../pstdlib.h $(PLUGEXT)
pstrcpy.o: $(PLAY_CFG)/config.h ../pstdlib.h $(PLUGEXT)
pstrncat.o: $(PLAY_CFG)/config.h ../pstdlib.h $(PLUGEXT)

bitrev.o: $(PLAY_CFG)/config.h ../play.h $(PLUGEXT)
bitlrot.o: $(PLAY_CFG)/config.h ../play.h $(PLUGEXT)
bitmrot.o: $(PLAY_CFG)/config.h ../play.h $(PLUGEXT)
p595.o: ../play.h $(PLUGEXT)

pstdio.o: $(PLAY_CFG)/config.h ../pstdio.h $(PLUGEXT)

test2d.o: ../play.h ../pstdlib.h ../pstdio.h $(PLUGEXT)
hashtest.o: ../phash.h ../pstdlib.h ../pstdio.h $(PLUGEXT)

main.o: main.c ../play.h $(PLUGEXT)
main.c: ../$(Y_MAIN_C)
	cp ../$(Y_MAIN_C) main.c

=== play/unix/Makefile ===
# $Id: Makefile,v 1.3 2010-02-28 21:32:23 dhmunro Exp $
SHELL=/bin/sh
MAKE=make
include ../../Make.cfg

COPT=$(COPT_DEFAULT)
CFLAGS=$(COPT) $(Y_CFLAGS) -I. -I..
COPTIONS=$(COPT) $(Y_CFLAGS)
LDOPTIONS=$(COPT) $(Y_LDFLAGS)

OBJS=dir.o files.o fpuset.o handler.o pathnm.o slinks.o stdinit.o timeu.o \
  timew.o udl.o uevent.o ugetc.o uinbg.o usernm.o umain.o uspawn.o

all: libplay

libplay: $(OBJS)
	$(AR) rc ../libplay.a $(OBJS)
	$(RANLIB) ../libplay.a
	touch $@

config:
	CC="$(CC)" CFLAGS="$(Y_CFLAGS)" LDFLAGS="$(Y_LDFLAGS)" MATHLIB="$(MATHLIB)" ./config.sh

CLEANUP_LIST=cfg* config.0* fputest core* *.core a.out udltest.??*
clean::
	rm -f *~ '#'* *.o *.a $(CLEANUP_LIST) libplay

distclean:: clean
	rm -f config.h



PLUGEXT=../plugin.h

dir.o: config.h ../play.h playu.h ../pstdlib.h ../pstdio.h dir.c $(PLUGEXT)
	$(CC) $(CPPFLAGS) $(CFLAGS) $(D_DIR1) $(D_DIR2) -c dir.c
files.o: config.h ../pstdio.h ../pstdlib.h playu.h files.c $(PLUGEXT)
	$(CC) $(CPPFLAGS) $(CFLAGS) $(D_NO_PROCS) -c files.c
fpuset.o: config.h playu.h fpuset.c $(PLUGEXT)
	$(CC) $(CPPFLAGS) $(CFLAGS) $(D_FPUSET) -c fpuset.c
handler.o: config.h ../play.h playu.h ../pstdlib.h $(PLUGEXT)
pathnm.o: config.h ../play.h playu.h ../pstdlib.h pathnm.c $(PLUGEXT)
	$(CC) $(CPPFLAGS) $(CFLAGS) $(D_USERNM) -c pathnm.c
slinks.o: config.h playu.h ../pstdlib.h ../pstdio.h $(PLUGEXT)
stdinit.o: config.h ../play.h ../pstdlib.h ../pstdio.h playu.h $(PLUGEXT)
timeu.o: config.h ../play.h timeu.c $(PLUGEXT)
	$(CC) $(CPPFLAGS) $(CFLAGS) $(D_TIMEU) -c timeu.c
timew.o: config.h ../play.h timew.c $(PLUGEXT)
	$(CC) $(CPPFLAGS) $(CFLAGS) $(D_TIMEW) -c timew.c
udl.o: config.h ../pstdlib.h udl.c $(PLUGEXT)
	$(CC) $(CPPFLAGS) $(CFLAGS) $(PLUG_UDL) -c udl.c
uevent.o: config.h upoll.h upoll.c ../play.h playu.h ../pstdlib.h uevent.c $(PLUGEXT)
	$(CC) $(CPPFLAGS) $(CFLAGS) $(D_UEVENT) -c uevent.c
ugetc.o: config.h playu.h ugetc.h ../pmin.h $(PLUGEXT)
uinbg.o: config.h playu.h uinbg.c $(PLUGEXT)
	$(CC) $(CPPFLAGS) $(CFLAGS) $(D_UINBG1) $(D_UINBG2) -c uinbg.c
usernm.o: config.h ../play.h usernm.c $(PLUGEXT)
	$(CC) $(CPPFLAGS) $(CFLAGS) $(D_USERNM) -c usernm.c
umain.o: config.h ../play.h playu.h ../pstdlib.h $(PLUGEXT)
uspawn.o: config.h ../pstdio.h ../pstdlib.h ../play.h playu.h uspawn.c $(PLUGEXT)
	$(CC) $(CPPFLAGS) $(CFLAGS) $(D_NO_PROCS) -c uspawn.c

# this is the DL config test used in config.sh
YORICK_EXE=./cfg
LDEXE_OPTS=$(LDOPTIONS) $(LDFLAGS) -DTEST_PLUG $(PLUG_EXPORT) $(PLUG_UDL) -I.
CCSO_OPTS=$(CPPFLAGS) $(CFLAGS) $(PLUG_PIC)
LDSO_OPTS=$(LDOPTIONS) $(LDFLAGS) $(PLUG_SHARED)
udltest: config.c udltest.c Makefile
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDEXE_OPTS) -o cfg config.c $(PLUG_LIB)
	$(CC) $(CCSO_OPTS) -DTEST_SHARED -c udltest.c
	$(CC) $(LDSO_OPTS) -o udltest$(PLUG_SFX) $(PLUG_DEF) udltest.o
	./cfg

=== play/x11/Makefile ===
# $Id: Makefile,v 1.1 2005-09-18 22:05:33 dhmunro Exp $
SHELL=/bin/sh
MAKE=make
include ../../Make.cfg

COPT=$(COPT_DEFAULT)
CFLAGS=$(COPT) $(Y_CFLAGS) -I. -I.. -I../unix $(XINC)

OBJS=colors.o connect.o cursors.o errors.o events.o feep.o fills.o \
  fonts.o images.o lines.o pals.o pwin.o resource.o rgbread.o textout.o \
  rect.o ellipse.o clips.o points.o

PLUGEXT=../plugin.h

STD_DEPS=../unix/config.h ../play.h ../phash.h playx.h $(PLUGEXT)

all: libplay

../playwin.h: playwin.h
	rm -f ../playwin.h
	cp playwin.h ..

libplay: $(OBJS) ../playwin.h
	$(AR) rc ../libplay.a $(OBJS)
	$(RANLIB) ../libplay.a
	touch $@

COPTIONS=$(COPT) $(Y_CFLAGS)
LDOPTIONS=$(COPT) $(Y_LDFLAGS)
config:
	CC="$(CC)" CFLAGS="$(Y_CFLAGS)" LDFLAGS="$(Y_LDFLAGS)" ./xconfig.sh

clean::
	rm -f *~ '#'* *.o *.a core* *.core a.out cfg* libplay

distclean:: clean



connect.o: $(STD_DEPS) ../pstdlib.h
resource.o: $(STD_DEPS)
pwin.o: $(STD_DEPS) ../pstdlib.h
errors.o: $(STD_DEPS) ../unix/playu.h ../pstdlib.h
events.o: $(STD_DEPS) ../unix/playu.h
clips.o: $(STD_DEPS)
feep.o: $(STD_DEPS)

colors.o: $(STD_DEPS)
pals.o: $(STD_DEPS) ../pstdlib.h
cursors.o: $(STD_DEPS)
fonts.o: $(STD_DEPS) ../pstdlib.h

points.o: $(STD_DEPS)
fills.o: $(STD_DEPS)
rect.o: $(STD_DEPS)
ellipse.o: $(STD_DEPS)
images.o: $(STD_DEPS) ../pstdlib.h
lines.o: $(STD_DEPS)
textout.o: $(STD_DEPS) ../pstdlib.h
rgbread.o: $(STD_DEPS)

=== debian/changelog ===
yorick (2.2.02+dfsg-6ubuntu2) trusty; urgency=medium

  * No-change rebuild for libopenmpi1.3 -> libopenmpi1.6 transition.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 14 Dec 2013 23:11:12 -0500

yorick (2.2.02+dfsg-6ubuntu1) saucy; urgency=low

  * Add armhf to the list of arches that don't build yorick-av.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 10 Oct 2013 00:26:44 -0600

yorick (2.2.02+dfsg-6) unstable; urgency=low

  * yorick-full Depends: on yorick-svipc and yorick-gyoto

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Sat, 30 Jun 2012 07:41:29 +0200

yorick (2.2.02+dfsg-5) unstable; urgency=low

  * Fortify (make sure CPPFLAGS end up in Make.cfg)

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Thu, 28 Jun 2012 15:04:40 +0200

yorick (2.2.02+dfsg-4) unstable; urgency=low

  * Mention yorick-full in yorick's package description
  * Shorten yorick's suggest to only yorick-full and what it doesn't provide
  * Suggest yorick-svipc and yorick-gyoto in yorick-full

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Tue, 26 Jun 2012 10:16:17 +0200

yorick (2.2.02+dfsg-3) unstable; urgency=low

  * Move maintenance to the debian-science team. Update debian/control
    to comply with their policy:
    + change Maintainer, put self in Uploaders;
    + DM-Upload-Allowed: yes;
    + fill-in Vcs-* fields;
    + Priority is extra.
  * update README.source accordingly
  * Bug fix: "p_malloc uses wrong alignment on ia64", introducing patch
    fix-weird-alignment (Closes: #678276).
  * Bug fix: "re-enable testsuite on hppa", thanks to dann frazier
    (Closes: #584136).

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Wed, 20 Jun 2012 17:10:58 +0200

yorick (2.2.02+dfsg-2) unstable; urgency=low

  * Add yorick-full metapackage
  * Fix lintian warning about codger not being compiled with hardenned
    LDFLAGS.

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Wed, 13 Jun 2012 15:23:45 +0200

yorick (2.2.02+dfsg-1) unstable; urgency=low

  * New upstream release
  * Bump standards version to 3.9.3

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Sun, 15 Apr 2012 12:45:43 +0200

=== debian/control ===
Source: yorick
Section: science
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thibaut Paumard <paumard@users.sourceforge.net>
Build-Depends: libx11-dev, texinfo, debhelper (>= 7.0.0), quilt (>= 0.40),
 imagemagick, po-debconf, texi2html (>= 1.82), libmpich2-dev,
 libopenmpi-dev [alpha amd64 armel armhf hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc powerpcspe ppc64 sparc sparc64]
Standards-Version: 3.9.3
DM-Upload-Allowed: yes
Vcs-Git: git://git.debian.org/git/debian-science/packages/yorick.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/yorick.git
Homepage: http://yorick.sourceforge.net

Package: yorick
Architecture: any
Depends: yorick-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, debconf
Replaces: yorick-data (<< 2.1.04+dfsg-1)
Conflicts: yorick-yutils (<= 1.5.0)
Breaks: yorick-imutil (<< 0.5.4-2~), yorick-spydr (<< 0.8.0-2~),
	yorick-curses (<< 0.1-4~)
Recommends: rlwrap, yorick-z
Suggests: yorick-full, yorick-dbg, yorick-mpy-openmpi | yorick-mpy-mpich2,
	  emacsen, curl
Description: interpreted language and scientific graphics
 Yorick is an interpreted programming language for:
  * scientific simulations or calculations
  * postprocessing or steering large simulation codes
  * interactive scientific graphics
  * reading, writing, and translating large files of numbers
 .
 The language features a compact syntax for many common array
 operations, so it processes large arrays of numbers very quickly and
 efficiently.  Superficially, yorick code resembles C code, but yorick
 variables are never explicitly declared and have a dynamic scoping
 similar to many Lisp dialects.  The yorick language is designed to be
 typed interactively at a keyboard, as well as stored in files for
 later use.
 .
 This package includes an emacs-based development environment, which
 you can launch by typing M-x yorick in emacs.
 .
 Many add-on packages and plug-ins are available for Yorick (the
 package names begin with "yorick-"). You may want to install the
 yorick-full metapackage which depends on the vast majority of them.

Package: yorick-dbg
Section: debug
Architecture: any
Depends: yorick (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for Yorick
 Yorick is an interpreted programming language for:
  * scientific simulations or calculations
  * postprocessing or steering large simulation codes
  * interactive scientific graphics
  * reading, writing, and translating large files of numbers
 .
 This package contains the debugging symbols for the yorick
 executable.

Package: yorick-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: yorick (>= ${source:Version})
Description: interpreted library for the Yorick language
 Yorick is an interpreted programming language for:
  * scientific simulations or calculations
  * postprocessing or steering large simulation codes
  * interactive scientific graphics
  * reading, writing, and translating large files of numbers
 .
 The yorick-data package contains all the architecture-independent data, which
 is mostly the standard interpreted library.

Package: yorick-dev
Architecture: any
Depends: yorick (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: development files for the Yorick interpreted language
 Yorick is an interpreted programming language for:
  * scientific simulations or calculations
  * postprocessing or steering large simulation codes
  * interactive scientific graphics
  * reading, writing, and translating large files of numbers
 .
 The yorick-dev package contains the files needed to compile (or package)
 plug-ins or custom `yorick' executables.

Package: yorick-mpy-mpich2
Architecture: any
Depends: yorick (= ${binary:Version}), yorick-mpy-common (= ${source:Version}),
 mpich2, ${shlibs:Depends}, ${misc:Depends}
Description: Message Passing Yorick (MPICH2 build)
 Yorick is an interpreted programming language for:
  * scientific simulations or calculations
  * postprocessing or steering large simulation codes
  * interactive scientific graphics
  * reading, writing, and translating large files of numbers
 .
 The MPY is a parallel version of Yorick based on the Message Passing
 Interface (MPI). This package contains a build of MPY linked against
 MPICH2.

Package: yorick-mpy-openmpi
Architecture: alpha amd64 armel armhf hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc powerpcspe ppc64 sparc sparc64
Depends: yorick (= ${binary:Version}), yorick-mpy-common (= ${source:Version}),
 openmpi-bin, ${shlibs:Depends}, ${misc:Depends}
Description: Message Passing Yorick (OpenMPI build)
 Yorick is an interpreted programming language for:
  * scientific simulations or calculations
  * postprocessing or steering large simulation codes
  * interactive scientific graphics
  * reading, writing, and translating large files of numbers
 .
 The MPY is a parallel version of Yorick based on the Message Passing
 Interface (MPI). This package contains a build of MPY linked against
 OpenMPI.

Package: yorick-mpy-common
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: yorick-mpy-openmpi (>= ${source:Version}) | yorick-mpy-mpich2 (>= ${source:Version})
Description: Message Passing Yorick (common files)
 Yorick is an interpreted programming language for:
  * scientific simulations or calculations
  * postprocessing or steering large simulation codes
  * interactive scientific graphics
  * reading, writing, and translating large files of numbers
 .
 The MPY is a parallel version of Yorick based on the Message Passing
 Interface (MPI). This package contains the files common to all
 builds of MPY.

Package: yorick-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: yorick (>= 2.1.04+dfsg+cvs20071130)
Description: documentation for the Yorick interpreted language
 Yorick is an interpreted programming language for:
  * scientific simulations or calculations
  * postprocessing or steering large simulation codes
  * interactive scientific graphics
  * reading, writing, and translating large files of numbers
 .
 The Yorick package ships with little documentation: a manpage, the
 Yorick Manual in info format, and its own "help" command. This
 package adds the Yorick Manual and Quick Reference in PDF and HTML
 format and a utility (update-yorickdoc) to build HTML documentation
 for the set of functions (from Yorick and add-on packages) installed
 on this machine. By default, these pages are built and updated
 automatically whenever necessary.
 .
 Once this package is installed, simply point your preferred web
 browser to file:///usr/share/doc/yorick-doc/README.html .

Package: yorick-full
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
	 yorick, yorick-dev, yorick-doc,
	 yorick-av [!armhf !ia64 !mips !mipsel !s390 !s390x !sparc],
	 yorick-cubeview,
	 yorick-curses,
	 yorick-gl,
	 yorick-gyoto,
	 yorick-hdf5,
	 yorick-imutil,
	 yorick-mira,
	 yorick-ml4,
	 yorick-mpeg,
	 yorick-optimpack,
	 yorick-soy,
	 yorick-spydr,
	 yorick-svipc,
	 yorick-yao,
	 yorick-yeti,
	 yorick-yeti-fftw,
	 yorick-yeti-gsl,
	 yorick-yeti-regex,
	 yorick-yeti-tiff,
	 yorick-yutils,
	 yorick-z
Suggests: yorick-mpy-openmpi | yorick-mpy-mpich2
Description: full installation of the Yorick interpreter and add-ons
 Yorick is an interpreted programming language for:
  * scientific simulations or calculations
  * postprocessing or steering large simulation codes
  * interactive scientific graphics
  * reading, writing, and translating large files of numbers
 .
 The yorick-full metapackage installs Yorick together with the full set
 of add-ons packaged for Debian.
 .
 You may prefer to only install the yorick package and cherry-pick the
 yorick-* add-ons you need.
 . 
 If you need MPY, the MPI parallel version of Yorick, please install
 either yorick-mpy-openmpi or yorick-mpy-mpich2 in addition.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

# start by saving the path to debian/rules (useful in get-orig-source)
PATH_TO_DEBIAN := $(shell dirname $(word $(words $(MAKEFILE_LIST)),$(MAKEFILE_LIST)))

ifneq (,$(filter $(DEB_HOST_ARCH), ia64))
DEB_CPPFLAGS_MAINT_APPEND = -DMM_MIN_ALIGNMENT=16
endif
DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk
CFLAGS += $(CPPFLAGS)
export CFLAGS

# This has to be exported to make some magic below work.
export DH_OPTIONS

check:
	dh_testdir
ifeq (,$(filter nocheck, $(DEB_BUILD_OPTIONS)))
# Untill 580524 is closed
ifeq (,$(filter $(DEB_HOST_ARCH), ia64 hurd-i386 mips))
	relocate/bin/yorick -batch debian/check.i
endif
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	make Y_HOME=relocate ysite
	chmod a+x debian/helpers/*.i
	touch configure-stamp


BUILDDIR=../../build/
build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp 
	dh_testdir
	$(MAKE) CDG_FLAGS="$(CFLAGS) $(LDFLAGS)" install
	-rm relocate/LICENSE
	$(MAKE) -C doc yorick.info
	mkdir -p build/share
	mkdir -p build/lib/yorick
	cp -a relocate build/share/yorick
	mv build/share/yorick/doc build
	cp debian/helpers/README build/doc
	mkdir -p build/share/yorick/packages/installed
	mv build/share/yorick/bin build/lib/yorick/
	mv build/share/yorick/lib build/lib/yorick/
	mkdir -p build/yorick-dev/share/yorick/
	mkdir -p build/yorick-dev/lib/yorick/lib/
	mv build/share/yorick/Make* build/yorick-dev/share/yorick/
	mv build/share/yorick/include build/yorick-dev/share/yorick/
	cd build/lib/yorick/lib; \
	   mv codger install.grp install.sh libdep.sh libyor.a main.o \
              $(CURDIR)/build/yorick-dev/lib/yorick/lib
	cp emacs/yorick-auto.el build/50yorick-auto.el
	convert icons/yicon32.png build/yorick32x32.xpm
	convert icons/yicon16.png build/yorick16x16.xpm
	$(MAKE) -C doc/html BUILDDIR=$(BUILDDIR) manual refcard $(BUILDDIR)doc/README.html $(BUILDDIR)doc/images/triangle3.jpg $(BUILDDIR)doc/skull.css
	cp doc/html/packinfo.txt build/00yorick.packinfo
	cp doc/html/keywords.txt build/00yorick.keywords
	cp doc/html/aliases.txt build/00yorick.aliases
	touch build-stamp

build-mpy-stamp: build-stamp
	cp -a mpy mpy.mpich2
	(cd mpy.mpich2 ; \
	./configure --yorick=../relocate/bin/yorick --mpicc=mpicc.mpich2 ; \
	$(MAKE))
	mv mpy.mpich2/mpy mpy.mpich2/mpy.mpich2
	mv mpy.mpich2/libmpy.a mpy.mpich2/libmpy.mpich2.a
	mv mpy.mpich2/Makempy mpy.mpich2/Makempy.mpich2
	mv mpy.mpich2/mpymain.o mpy.mpich2/mpymain.mpich2.o
ifeq ($(wildcard /usr/bin/mpicc.openmpi), /usr/bin/mpicc.openmpi)
	cp -a mpy mpy.openmpi
	(cd mpy.openmpi ; \
	./configure --yorick=../relocate/bin/yorick --mpicc=mpicc.openmpi ; \
	$(MAKE))
	mv mpy.openmpi/mpy mpy.openmpi/mpy.openmpi
	mv mpy.openmpi/libmpy.a mpy.openmpi/libmpy.openmpi.a
	mv mpy.openmpi/Makempy mpy.openmpi/Makempy.openmpi
	mv mpy.openmpi/mpymain.o mpy.openmpi/mpymain.openmpi.o
endif
	touch build-mpy-stamp

clean-mpy:
	rm -Rf build-mpy-stamp mpy.mpich2 mpy.openmpi

clean: configure-stamp clean-mpy
	dh_testdir
	rm -Rf build-stamp configure-stamp build relocate
	touch Make.cfg
	$(MAKE) -C doc/html clean
	$(MAKE) distclean
#	$(MAKE) Y_HOME=. ysite
	dh_clean

# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_prep 
	dh_installdirs
	dh_install
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installinfo
	dh_installdebconf
	dh_installman
	dh_link
	dh_strip -pyorick --dbg-package=yorick-dbg
	dh_strip -pyorick-dev -pyorick-mpy-openmpi -pyorick-mpy-mpich2
	dh_usrlocal
	dh_compress 
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
#binary-indep: build-indep install-indep
binary-indep: build-stamp
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-mpy-stamp check
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

###### Getting the original source:
Y_FULL_VERS:=$(shell dpkg-parsechangelog -l$(PATH_TO_DEBIAN)/changelog | grep Version | sed 's/Version: //' | sed 's/-[0-9].*//')
Y_VERS:=$(subst +dfsg,,$(Y_FULL_VERS))
GIT_TAG:=y_$(subst .,_,$(Y_VERS))
GIT_REPO=git://github.com/dhmunro/yorick.git

# Non-DFSG-free files (see copyright):
PRUNEFILES:=play/hacks/hack103.c i/idlsave.i opengl

# make orig.tar.bz2 from current source dir, pruning PRUNEFILES
orig-txz:
	rm -Rf $(PRUNEFILES)
	cd .. ; \
	  mv `basename $(CURDIR)` yorick-$(Y_FULL_VERS) ; \
	  tar cvf - yorick-$(Y_FULL_VERS) --exclude=.pc --exclude=.git \
	    --exclude=yorick-$(Y_FULL_VERS)/debian --exclude=.gitignore \
	    | xz > yorick_$(Y_FULL_VERS).orig.tar.xz


get-orig-source:
	-rm -Rf ../orig-sources
	mkdir ../orig-sources
	cd ../orig-sources ; \
	  git clone $(GIT_REPO) ; \
	  cd yorick ; \
	  git checkout $(GIT_TAG) ; \
	  rm -Rf $(PRUNEFILES)
	-rm -Rf ../yorick-$(Y_VERS)
	mv ../orig-sources/yorick ../yorick-$(Y_VERS)+dfsg
	rm -Rf ../orig-sources
	cd ..; tar cf - --exclude=.git --exclude=.gitignore \
	  yorick-$(Y_VERS)+dfsg | \
	  xz > yorick_$(Y_VERS)+dfsg.orig.tar.xz

gitclean: clean
	-quilt pop -a
	if test -e .pc ; then \
	   cd .pc ; \
	   rm .quilt_patches .quilt_series .version ; \
	   cd .. ; rmdir .pc ; \
	   fi

binary: binary-arch binary-indep
.PHONY: build-arch build-indep build clean binary-indep binary-arch binary \
	configure clean-mpy gitclean

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$//,uversionmangle=s/_/./g \
 https://github.com/dhmunro/yorick/tags .*/tarball/y_(\d[\d\_]+)

## yorick 2.2.03+dfsg

=== debian/changelog ===
yorick (2.2.03+dfsg-3) unstable; urgency=medium

  * Bug fix: "linking with libpthread fixes FTBFS of yorick-av and
    yorick-hdf5", thanks to svante.signell@gmail.com</a>; (Closes:
    #761932).
  * Check against Policy 3.9.6

 -- Thibaut Paumard <thibaut@debian.org>  Fri, 19 Sep 2014 15:04:04 +0200

yorick (2.2.03+dfsg-2) unstable; urgency=high

  * Don't build-depend on libopenmpi-dev on s390x.
  * Urgency set to high to not delay the mpich2 transition further for
    this minor change.

 -- Thibaut Paumard <thibaut@debian.org>  Wed, 14 May 2014 13:20:49 +0200

yorick (2.2.03+dfsg-1) unstable; urgency=low

  * New upstream release
  * Update control file
  * Check against policy 3.9.5
  * Try harder to build both MPI implementations
  * Bug fix: "emacs24 make-local-hook", thanks to Kevin Ryde (Closes:
    #713039).
  * Bug fix: "regexp/yfnmatch.h is non free", thanks to Thibaut Paumard
    (Closes: #688095).
  * Bug fix: "emacs &quot;\\.i$&quot; pattern", thanks to Kevin Ryde
    (Closes: #713038).
  * Yorick-full depends on yorick-ygsl (instead of -yeti-gsl), -ynfft,
    -gy.
  * Get rid of conflicts/breaks regarding versions strictly older than
    squeeze (oldstable).

 -- Thibaut Paumard <thibaut@debian.org>  Tue, 01 Apr 2014 13:07:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,20 @@
 Source: yorick
 Section: science
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Thibaut Paumard <paumard@users.sourceforge.net>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Thibaut Paumard <thibaut@debian.org>
 Build-Depends: libx11-dev, texinfo, debhelper (>= 7.0.0), quilt (>= 0.40),
- imagemagick, po-debconf, texi2html (>= 1.82), libmpich2-dev,
- libopenmpi-dev [alpha amd64 armel armhf hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc powerpcspe ppc64 sparc sparc64]
-Standards-Version: 3.9.3
-DM-Upload-Allowed: yes
-Vcs-Git: git://git.debian.org/git/debian-science/packages/yorick.git
-Vcs-Browser: http://git.debian.org/?p=debian-science/packages/yorick.git
+ imagemagick, po-debconf, texi2html, mpi-default-dev,
+ libmpich-dev   [!powerpcspe !sh4 !x32],
+ libopenmpi-dev [!hppa !s390 !sh4 !x32 !s390x]
+Standards-Version: 3.9.6
+Vcs-Git:      git://anonscm.debian.org/debian-science/packages/yorick.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/yorick.git
 Homepage: http://yorick.sourceforge.net
 
 Package: yorick
 Architecture: any
 Depends: yorick-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, debconf
-Replaces: yorick-data (<< 2.1.04+dfsg-1)
-Conflicts: yorick-yutils (<= 1.5.0)
-Breaks: yorick-imutil (<< 0.5.4-2~), yorick-spydr (<< 0.8.0-2~),
-	yorick-curses (<< 0.1-4~)
 Recommends: rlwrap, yorick-z
 Suggests: yorick-full, yorick-dbg, yorick-mpy-openmpi | yorick-mpy-mpich2,
 	  emacsen, curl
@@ -87,7 +82,7 @@
  plug-ins or custom `yorick' executables.
 
 Package: yorick-mpy-mpich2
-Architecture: any
+Architecture: alpha amd64 arm64 armel armhf hppa hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 m68k mips mipsel powerpc ppc64 s390x sparc sparc64 sh4 x32 
 Depends: yorick (= ${binary:Version}), yorick-mpy-common (= ${source:Version}),
  mpich2, ${shlibs:Depends}, ${misc:Depends}
 Description: Message Passing Yorick (MPICH2 build)
@@ -102,7 +97,7 @@
  MPICH2.
 
 Package: yorick-mpy-openmpi
-Architecture: alpha amd64 armel armhf hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc powerpcspe ppc64 sparc sparc64
+Architecture: alpha amd64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc powerpcspe ppc64 sparc sparc64 
 Depends: yorick (= ${binary:Version}), yorick-mpy-common (= ${source:Version}),
  openmpi-bin, ${shlibs:Depends}, ${misc:Depends}
 Description: Message Passing Yorick (OpenMPI build)
@@ -158,10 +153,11 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
 	 yorick, yorick-dev, yorick-doc,
-	 yorick-av [!armhf !ia64 !mips !mipsel !s390 !s390x !sparc],
+	 yorick-av [!ia64 !s390],
 	 yorick-cubeview,
 	 yorick-curses,
 	 yorick-gl,
+	 yorick-gy,
 	 yorick-gyoto,
 	 yorick-hdf5,
 	 yorick-imutil,
@@ -175,9 +171,10 @@
 	 yorick-yao,
 	 yorick-yeti,
 	 yorick-yeti-fftw,
-	 yorick-yeti-gsl,
 	 yorick-yeti-regex,
 	 yorick-yeti-tiff,
+	 yorick-ygsl,
+	 yorick-ynfft,
 	 yorick-yutils,
 	 yorick-z
 Suggests: yorick-mpy-openmpi | yorick-mpy-mpich2

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,12 @@
 -include /usr/share/dpkg/buildflags.mk
 CFLAGS += $(CPPFLAGS)
 export CFLAGS
+
+# Fixes FTBFSes of plug-ins under Hurd
+ifneq (,$(filter $(DEB_HOST_ARCH), hurd-i386))
+	LDFLAGS += -lpthread
+endif
+export LDFLAGS
 
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
@@ -67,6 +73,7 @@
 	touch build-stamp
 
 build-mpy-stamp: build-stamp
+ifeq ($(wildcard /usr/bin/mpicc.mpich2), /usr/bin/mpicc.mpich2)
 	cp -a mpy mpy.mpich2
 	(cd mpy.mpich2 ; \
 	./configure --yorick=../relocate/bin/yorick --mpicc=mpicc.mpich2 ; \
@@ -75,6 +82,7 @@
 	mv mpy.mpich2/libmpy.a mpy.mpich2/libmpy.mpich2.a
 	mv mpy.mpich2/Makempy mpy.mpich2/Makempy.mpich2
 	mv mpy.mpich2/mpymain.o mpy.mpich2/mpymain.mpich2.o
+endif
 ifeq ($(wildcard /usr/bin/mpicc.openmpi), /usr/bin/mpicc.openmpi)
 	cp -a mpy mpy.openmpi
 	(cd mpy.openmpi ; \
